package cn.com.qmth.stmms.biz.distributpaper.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.distributpaper.model.ProblemLibrary;
import cn.com.qmth.stmms.common.enums.LibraryStatus;

public interface ProblemLibraryDao extends PagingAndSortingRepository<ProblemLibrary, Integer>,
        JpaSpecificationExecutor<ProblemLibrary> {

    List<ProblemLibrary> findByLibraryIdAndStatus(int libraryId, LibraryStatus status);
}
